cascading.flow.tez

## Class FlowProcessor

- java.lang.Object
- - org.apache.tez.runtime.api.AbstractLogicalIOProcessor
  - - cascading.flow.tez.FlowProcessor

All Implemented Interfaces:
  org.apache.tez.runtime.api.LogicalIOProcessor, org.apache.tez.runtime.api.LogicalIOProcessorFrameworkInterface, org.apache.tez.runtime.api.Processor, org.apache.tez.runtime.api.ProcessorFrameworkInterface

    public class FlowProcessor
    extends org.apache.tez.runtime.api.AbstractLogicalIOProcessor

### Constructor Summary

Constructors
Constructor and Description
`FlowProcessor(org.apache.tez.runtime.api.ProcessorContext context)`

### Method Summary

Methods
`void` `close()`
`void` `handleEvents(java.util.List<org.apache.tez.runtime.api.Event> events)`
`void` `initialize()`
`void` `run(java.util.Map<java.lang.String,org.apache.tez.runtime.api.LogicalInput> inputMap, java.util.Map<java.lang.String,org.apache.tez.runtime.api.LogicalOutput> outputMap)`
`protected void` `waitForInputsReady(java.util.Map<java.lang.String,org.apache.tez.runtime.api.LogicalInput> inputMap)`

### Methods inherited from class org.apache.tez.runtime.api.AbstractLogicalIOProcessor

`abort, getContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FlowProcessor

    public FlowProcessor(org.apache.tez.runtime.api.ProcessorContext context)

### Method Detail

#### initialize

    public void initialize()
                    throws java.lang.Exception

Specified by:
  `initialize` in interface `org.apache.tez.runtime.api.ProcessorFrameworkInterface`
Specified by:
  `initialize` in class `org.apache.tez.runtime.api.AbstractLogicalIOProcessor`
Throws:
  `java.lang.Exception`

#### run

    public void run(java.util.Map<java.lang.String,org.apache.tez.runtime.api.LogicalInput> inputMap,
           java.util.Map<java.lang.String,org.apache.tez.runtime.api.LogicalOutput> outputMap)
             throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### waitForInputsReady

    protected void waitForInputsReady(java.util.Map<java.lang.String,org.apache.tez.runtime.api.LogicalInput> inputMap)
                               throws java.lang.InterruptedException

Throws:
  `java.lang.InterruptedException`

#### handleEvents

    public void handleEvents(java.util.List<org.apache.tez.runtime.api.Event> events)

#### close

    public void close()
               throws java.lang.Exception

Throws:
  `java.lang.Exception`